Bug 1580530

Summary: ansible-2.5.3-1.fc28 broke "synchronize" task
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: ansibleAssignee: Kevin Fenzi <kevin>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: a.badger, athmanem, clasohm, kevin, matt, maxim, pcahyna, tbielawa
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ansible-2.5.5-1.el7 ansible-2.5.5-2.fc27 ansible-2.5.5-2.fc28 ansible-2.5.5-1.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-19 14:22:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kamil Páral 2018-05-21 17:26:27 UTC
Description of problem:
It seems that "synchronize" task is completely broken with ansible 2.5.3-1. It works just fine with 2.5.2-1.

Reproducer:

$ cat playbook.yml 
- hosts: all
  remote_user: root
  gather_facts: no
  tasks:
    - name: Synchronize dirs
      synchronize:
        src: "/tmp/foo/"
        dest: "/tmp/foo"


$ ansible-playbook playbook.yml --inventory=taskotron.local, 

PLAY [all] **********************************************************************************************

TASK [Synchronize dirs] *********************************************************************************
fatal: [taskotron.local]: UNREACHABLE! => {"changed": false, "msg": "Authentication or permission failure. In some cases, you may have been able to authenticate and did not have permissions on the target directory. Consider changing the remote tmp path in ansible.cfg to a path rooted in \"/tmp\". Failed command was: ( umask 77 && mkdir -p \"` echo /root/.ansible/tmp/ansible-tmp-1526923234.13-73396312477698 `\" && echo ansible-tmp-1526923234.13-73396312477698=\"` echo /root/.ansible/tmp/ansible-tmp-1526923234.13-73396312477698 `\" ), exited with result 1", "unreachable": true}
	to retry, use: --limit @/home/kparal/tmp/playbook.retry

PLAY RECAP **********************************************************************************************
taskotron.local            : ok=0    changed=0    unreachable=1    failed=0   



However, running the same playbook with ansible 2.5.2-1:

$ ansible-playbook playbook.yml --inventory=taskotron.local, 

PLAY [all] **********************************************************************************************

TASK [Synchronize dirs] *********************************************************************************
ok: [taskotron.local]

PLAY RECAP **********************************************************************************************
taskotron.local            : ok=1    changed=0    unreachable=0    failed=0   


The quoted command
umask 77 && mkdir -p \"` echo /root/.ansible/tmp/ansible-tmp-1526923234.13-73396312477698 `\" && echo ansible-tmp-1526923234.13-73396312477698=\"` echo /root/.ansible/tmp/ansible-tmp-1526923234.13-73396312477698 `\"
can be executed just fine on the target machine, I have no idea why 2.5.3 errors out with exit code 1.


Version-Release number of selected component (if applicable):
ansible-2.5.3-1.fc28.noarch  (broken)
ansible-2.5.2-1.fc28.noarch  (works)

How reproducible:
100%

Comment 1 Kevin Fenzi 2018-05-21 17:36:23 UTC
Likely https://github.com/ansible/ansible/issues/40483

Comment 2 sivel 2018-05-22 17:49:26 UTC
#40483 was related, but a different specific problem.

I've logged https://github.com/ansible/ansible/issues/40551 for this issue.

Comment 3 sivel 2018-05-30 20:40:27 UTC
#40551 is now resolved, and backports for 2.5.4 and 2.6.0 have been created.

Comment 4 Fedora Update System 2018-06-16 01:20:18 UTC
ansible-2.5.5-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b619637e45

Comment 5 Fedora Update System 2018-06-16 01:21:03 UTC
ansible-2.5.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7948d6772e

Comment 6 Fedora Update System 2018-06-16 01:21:22 UTC
ansible-2.5.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fa11f61de0

Comment 7 Fedora Update System 2018-06-16 01:21:41 UTC
ansible-2.5.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a6e6196b9

Comment 8 Fedora Update System 2018-06-16 20:25:23 UTC
ansible-2.5.5-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b619637e45

Comment 9 Fedora Update System 2018-06-16 20:34:06 UTC
ansible-2.5.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fa11f61de0

Comment 10 Fedora Update System 2018-06-16 20:41:45 UTC
ansible-2.5.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7948d6772e

Comment 11 Fedora Update System 2018-06-16 21:52:30 UTC
ansible-2.5.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a6e6196b9

Comment 12 Kamil Páral 2018-06-18 13:21:07 UTC
(In reply to Fedora Update System from comment #11)
> ansible-2.5.5-2.fc28 has been pushed to the Fedora 28 testing repository. If

Seems to fix this.

Comment 13 Fedora Update System 2018-06-19 14:22:38 UTC
ansible-2.5.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-06-24 20:10:07 UTC
ansible-2.5.5-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-06-24 20:49:50 UTC
ansible-2.5.5-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-06-30 23:15:47 UTC
ansible-2.5.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.